OdsGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdsGenerator Class Reference

A generator for text documents. More...

`#include <OdsGenerator.hxx>`

Inheritance diagram for OdsGenerator:

## Public Member Functions
| OdsGenerator ()
| ~OdsGenerator () override
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
| register an handler for a basic type of document
librevenge::RVNGStringVector | getObjectNames () const
| returns the list created embedded object (needed to create chart)
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
| retrieve an embedded object content via a document handler
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | definePageStyle (const librevenge::RVNGPropertyList &) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList) override
void | openSheet (const librevenge::RVNGPropertyList &propList) override
void | closeSheet () override
void | openSheetRow (const librevenge::RVNGPropertyList &propList) override
void | closeSheetRow () override
void | openSheetCell (const librevenge::RVNGPropertyList &propList) override
void | closeSheetCell () override
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) override
void | openChart (const librevenge::RVNGPropertyList &propList) override
void | closeChart () override
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) override
void | closeChartTextObject () override
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) override
void | closeChartPlotArea () override
void | insertChartAxis (const librevenge::RVNGPropertyList &axis) override
void | openChartSerie (const librevenge::RVNGPropertyList &series) override
void | closeChartSerie () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &) override
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images.
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects.
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler)

## Private Member Functions
| OdsGenerator (OdsGenerator const &)
OdsGenerator & | operator= (OdsGenerator const &)

## Private Attributes
OdsGeneratorPrivate * | mpImpl

## Detailed Description

A generator for text documents.

See `libdocumentinterface` library for documentation of the librevenge::RVNGSpreadsheetInterface interface.

## Constructor & Destructor Documentation

## ◆ OdsGenerator() [1/2]

OdsGenerator::OdsGenerator | ( |  | ) |

## ◆ ~OdsGenerator()

OdsGenerator::~OdsGenerator | ( |  | ) |
| override

## ◆ OdsGenerator() [2/2]

OdsGenerator::OdsGenerator | ( | OdsGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdsGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType )

register an handler for a basic type of document

## ◆ closeChart()

void OdsGenerator::closeChart | ( |  | ) |
| override

## ◆ closeChartPlotArea()

void OdsGenerator::closeChartPlotArea | ( |  | ) |
| override

## ◆ closeChartSerie()

void OdsGenerator::closeChartSerie | ( |  | ) |
| override

## ◆ closeChartTextObject()

void OdsGenerator::closeChartTextObject | ( |  | ) |
| override

## ◆ closeComment()

void OdsGenerator::closeComment | ( |  | ) |
| override

## ◆ closeFooter()

void OdsGenerator::closeFooter | ( |  | ) |
| override

## ◆ closeFootnote()

void OdsGenerator::closeFootnote | ( |  | ) |
| override

## ◆ closeFrame()

void OdsGenerator::closeFrame | ( |  | ) |
| override

## ◆ closeGroup()

void OdsGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeHeader()

void OdsGenerator::closeHeader | ( |  | ) |
| override

## ◆ closeLink()

void OdsGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void OdsGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void OdsGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closePageSpan()

void OdsGenerator::closePageSpan | ( |  | ) |
| override

## ◆ closeParagraph()

void OdsGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closeSection()

void OdsGenerator::closeSection | ( |  | ) |
| override

## ◆ closeSheet()

void OdsGenerator::closeSheet | ( |  | ) |
| override

## ◆ closeSheetCell()

void OdsGenerator::closeSheetCell | ( |  | ) |
| override

## ◆ closeSheetRow()

void OdsGenerator::closeSheetRow | ( |  | ) |
| override

## ◆ closeSpan()

void OdsGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTable()

void OdsGenerator::closeTable | ( |  | ) |
| override

## ◆ closeTableCell()

void OdsGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void OdsGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeTextBox()

void OdsGenerator::closeTextBox | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void OdsGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void OdsGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineChartStyle()

void OdsGenerator::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void OdsGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineGraphicStyle()

void OdsGenerator::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ definePageStyle()

void OdsGenerator::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineParagraphStyle()

void OdsGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineSectionStyle()

void OdsGenerator::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineSheetNumberingStyle()

void OdsGenerator::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawConnector()

void OdsGenerator::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void OdsGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void OdsGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void OdsGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void OdsGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void OdsGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endDocument()

void OdsGenerator::endDocument | ( |  | ) |
| override

## ◆ getObjectContent()

bool OdsGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler )

retrieve an embedded object content via a document handler

## ◆ getObjectNames()

librevenge::RVNGStringVector OdsGenerator::getObjectNames | ( |  | ) | const

returns the list created embedded object (needed to create chart)

## ◆ initStateWith()

void OdsGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertBinaryObject()

void OdsGenerator::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertChartAxis()

void OdsGenerator::insertChartAxis | ( | const librevenge::RVNGPropertyList & | axis | ) |
| override

## ◆ insertCoveredTableCell()

void OdsGenerator::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEquation()

void OdsGenerator::insertEquation | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ insertField()

void OdsGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void OdsGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void OdsGenerator::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void OdsGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void OdsGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openChart()

void OdsGenerator::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartPlotArea()

void OdsGenerator::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartSerie()

void OdsGenerator::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |
| override

## ◆ openChartTextObject()

void OdsGenerator::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openComment()

void OdsGenerator::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFooter()

void OdsGenerator::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFootnote()

void OdsGenerator::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFrame()

void OdsGenerator::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void OdsGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openHeader()

void OdsGenerator::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void OdsGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void OdsGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void OdsGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openPageSpan()

void OdsGenerator::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void OdsGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSection()

void OdsGenerator::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSheet()

void OdsGenerator::openSheet | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSheetCell()

void OdsGenerator::openSheetCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSheetRow()

void OdsGenerator::openSheetRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void OdsGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTable()

void OdsGenerator::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void OdsGenerator::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void OdsGenerator::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTextBox()

void OdsGenerator::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void OdsGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

OdsGenerator & OdsGenerator::operator= | ( | OdsGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdsGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler )

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdsGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler )

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdsGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void OdsGenerator::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## Member Data Documentation

## ◆ mpImpl

OdsGeneratorPrivate* OdsGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdsGenerator.hxx